Page MenuHomePhabricator

It's impossible to type Hebrew characters in the search box until some Latin characters were typed
Closed, ResolvedPublic

Description

Steps to reproduce:

  • Enable the English keyboard and the Hebrew keyboard (עברית).
  • Start the app.
  • Go to the search box.
  • Select the Hebrew keyboard.
  • Try typing some letters. No letters appear.
  • Switch to the English keyboard and type some letters.
  • Switch to the Hebrew keyboard again.
  • Try typing some letters. Now the Hebrew letters appear.

Tested on Galaxy S 2 with Android 2.3.6.

Several people reported this to me and i confirmed it myself, too.

This may happen with other languages, but i didn't try it.


Version: 1.0.0 (Android)
Severity: normal

Details

Reference
bz33518

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:09 AM
bzimport set Reference to bz33518.
Amire80 created this task.Jan 4 2012, 7:12 PM

I'm seeing the same issue in Russian.

brion added a comment.Jan 4 2012, 7:58 PM

FWIW I don't see this issue on my Galaxy Nexus, Android 4.0.2, with either Hebrew or Russian keyboards.

Not that the rest of the app works of course... ;)

brion added a comment.Jan 4 2012, 8:01 PM

On my Nexus One, Android 2.3.6 I can reproduce this even with the English keyboard by selecting an accented character (press and hold "e" or "n" and select "é" or "ñ" -- they don't insert a character initially).

philinje wrote:

It might be worth noting that changing the input language on iPhone seems to change the Wikipedia language. On Android, that is through our app setting. But I wonder if we should change the Wikipedia language based on keyboard selection in Android?

philinje wrote:

I have not been able to reproduce this on the Nexus One, Android 2.3.6 (same as Amir). This was using German, Portuguese, Russian and a third party Japanese keyboard. I paired German and Portuguese, English and Russian, and had to use the Japanese keyboard by itself.

brion added a comment.Jan 6 2012, 12:27 AM

Amir, check this again under the latest builds. We've removed the iframe, which may or may not change some of the event processing.

philinje wrote:

Seems fine on some devices.

Seems fine on Sony Xperia Neo and Samsung Galaxy S. On Sunday i'll verify on Samsung Galaxy S 2 and close if it's fixed.

Appears to be fixed on Galaxy S II and all other devices i tried.